4 ago. 2014

Bug crítico en Samba otorga permisos de administrador al atacante

Una vulnerabilidad en las versiones recientes de Samba -la suite de aplicaciones Unix que permite compartir archivos e impresoras con otras computadoras en una misma red local- podría permitirle a un atacante que esté dentro de la misma red ejecutar código en un sistema, con privilegios de administrador o superusuario (root) casi sin restricciones.

Samba es una implementación libre del protocolo de archivos compartidos de Microsoft Windows llamado Server Message Block (SMB). Muchos sistemas operativos, incluidos casi todos los lanzamientos de Linux, Windows y OS/2, usan SMB para operaciones de red cliente-servidor, y mediante el soporte de este protocolo, Samba permite a los servidores Unix comunicarse con el mismo protocolo de red que los productos de Microsoft Windows. De este modo, una máquina Unix con Samba puede enmascararse como servidor en la red Microsoft y se podrá compartir sistemas de archivos e impresoras, entre otras cosas.

El bug en Samba descubierto por Volker Lendecke, miembro del equipo de Samba que trabaja para SerNet, puede ser explotado mediante el envío de tráfico manipulado a un sistema vulnerable; la ejecución remota de código es posible porque NetBIOS maneja en forma incorrecta ciertas operaciones de memoria.

"Un navegador malicioso puede enviar paquetes que podrían sobreescribir el nombre NetBIOS. Sería posible utilizar esto para generar una vulnerabilidad de ejecución de código remoto como superusuario (root)", dice el aviso publicado.

Los protocolos SMB dependen del sistema de nombres NetBIOS, también llamado sistema de nombres LAN Manager. Cada máquina tiene un nombre único de 20 caracteres que se difunde en la red para que todos los usuarios lo conozcan; una máquina con diferente nombre NetBIOS y de dominio puede ser un problema.

La publicación aconseja instalar el parche lanzado lo más pronto posible. Las recientes versiones 4.1.11 y 4.0.21 ya lo tienen aplicado.

Fuente: We Live Security

1 comentario:

  1. uhh, redhat mando el mail ayer, avisando "Important: samba4 security update"
    InboxWednesday, August 06, 2014 4:43 AM
    Red Hat Network has determined that the following advisory is applicable to
    one or more of the systems you have registered:

    Complete information about this errata can be found at the following location:
    https://rhn.redhat.com/rhn/errata/details/Details.do?eid=27423

    Security Advisory - RHSA-2014:1009-1

    listooo!
    saludos, alexa

    ResponderEliminar

Gracias por dejar un comentario en Segu-Info
Si vas a dejar una consulta, procura tener habilitado tu perfil en Blogger o deja una forma de contacto.

Gracias por comentar!